Subject: Re: matching rules for Facsimile Telephone Number

From: Norbert Klasen <[email-masked]>
Date: Wed, 05 Mar 2003 19:16:38 +0100

--On Sonntag, 23. Februar 2003 08:26 -0800 "Kurt D. Zeilenga" 
<[email-masked]> wrote:

> The corrigendum not only alters the 'facsimile' attribute type
> description, but introduces two new matching rules.

> It is my opinion (as co-chair) that the LDAPbis cannot take
> on work in this area as our charter states that non-"core"
> schema is beyond our scope.

Kurt,
draft-ietf-ldapbis-syntaxes-05.txt already adds add two matching rules 
(caseIgnoreIA5SubstringsMatch and caseIgnoreListSubstringsMatch) which are 
from RFC 2798 & X.520 and thus strictly speaking not part of the "core" (as 
defined in the wg charter).

How should this matter be progressed? What about an indiviual standards 
track rfc that updates RFC 2252 / 2256 and/or draft-ietf-ldapbis-syntaxes / 
draft-ietf-ldapbis-user-schema?

Norbert

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Wed, 05 Mar 2003 14:17:27 -0800

At 10:16 AM 3/5/2003, Norbert Klasen wrote:
>--On Sonntag, 23. Februar 2003 08:26 -0800 "Kurt D. Zeilenga" <[email-masked]> wrote:
>
>draft-ietf-ldapbis-syntaxes-05.txt already adds add two matching rules (caseIgnoreIA5SubstringsMatch and caseIgnoreListSubstringsMatch) which are from RFC 2798 & X.520 and thus strictly speaking not part of the "core" (as defined in the wg charter).

caseIgnoreListSubstringsMatch is considered "core" because one
cannot implement the schema defined in RFC 2256 without
implementing the rule.  The WG has provided an RFC 2252
format schema description to correct a technical omission.
Providing the schema description in no way changes the
semantics previously defined.

caseIgnoreIA5Substringsmach is considered "core" because one
cannot implement the RFC 2253-required 'dc' attribute type
without it.  The matching rule is specified in RFC 1274.
Providing the schema description and incorporating the
technical specification from RFC 1274 does not change
the semantics previously defined.

While one could certainly take the position that these items
are beyond our scope, I have not.  I have taken the charter
restriction to mean, as I believe it was intended, that the
WG is to focus on revising the "core" documents and avoid
taking on (and doing more) than necessary to produce a
TS suitable for publication as a Draft Standard.

Your request is of a different nature.  It asks the WG to
engineer new matching rules/syntaxes (for LDAP [RFC 3377])
and change existing attribute types to use these new
rules/syntaxes instead of their existing ones.

Hence, I have declared the requested work as being beyond
the scope of the WG.

>How should this matter be progressed? What about an indiviual standards track rfc that updates RFC 2252 / 2256 and/or draft-ietf-ldapbis-syntaxes / draft-ietf-ldapbis-user-schema?

If you (and/or others believe) that such an update is appropriate,
I suggest that you author an I-D detailing that update and submit
it to the IETF for consideration.  I don't think "and" is a sensible
option in your "and/or".  Pick one.  I don't think it matters much
which.